# Amuse: amuse::Entity Class Reference

amuse::Entity Class Reference

`#include <Entity.hpp>`

Inheritance diagram for amuse::Entity:
Collaboration diagram for amuse::Entity:

## Public Member Functions

| Entity (Engine &engine, const AudioGroup &group, int groupId, ObjectId oid=ObjectId())
Engine & | getEngine ()
const AudioGroup & | getAudioGroup () const
int | getGroupId () const
ObjectId | getObjectId () const

## Protected Member Functions

void | _destroy ()

## Protected Attributes

bool | m_destroyed = false
Engine & | m_engine
const AudioGroup & | m_audioGroup
int | m_groupId
ObjectId | m_objectId = 0xffff

## Friends

class | Engine
class | SoundMacroState

## Detailed Description

Common 'engine child' class

Definition at line 18 of file Entity.hpp.

The documentation for this class was generated from the following file:

- include/amuse/Entity.hpp